Actions » POST

URL:

http://my.vitalist.com/services/api/actions/

Method:

POST

Description:

This API call adds an action(s) and associated information into your lists.

Required Parameters:

body - the description of the action.

Optional Parameters:

list_id - limits the resulting output to that specific list. 1 = Inbox; 2 = Actions; 3 = Waiting; 4 = Someday; 5 = Ticklers; 6 = Reference.
priority - 0 = None; 1 = Low; 2 = Medium; 3 = High.
due_date - must be in the following format: YYYY-MM-DD.
complete_date - must be in the following format: YYYY-MM-DD.
contexts - multiple contexts allowed.
project - include the project_id.
contact - include the contact_id.

Example Request

<?xml version="1.0" encoding="UTF-8"?> <request> <api_key>asdf1234</api_key> <items> <item> <body>clean the living room</body> <list_id>1</list_id> <priority>2</priority> <due_date>2007-11-01</due_date> <contexts> <context>@home</context> </contexts> <project> <project_id>9</project_id> </project> </item> </items> </request>

Example Response

<?xml version="1.0" encoding="UTF-8"?> <response> <status> <code>200</code> <message>Ok</message> </status> </response>

Status Codes

200 Ok 400 Bad Request